Fetching List of DKE Endpoints
Use the get /v1/cckm/microsoft/dke/endpoints API to fetch a list of the Microsoft DKE endpoints from CCKM. The results can be filtered using the query parameters.
Syntax
curl -k '<CCKM IP address>/api/v1/cckm/microsoft/dke/endpoints' -H 'Authorization: Bearer AUTHTOKEN' -H 'accept: application/json' --compressed
Request Parameters
| Parameter | Type | Description |
|---|---|---|
| AUTHTOKEN | string | Authorization token. |
Request Query Parameters
| Parameter | Type | Description |
|---|---|---|
| id | string | DKE endpoint ID. |
| name | string | Name of the DKE endpoint. |
| algorithm | string | DKE endpoint algorithm. |
| authorization_type | string | Authorization type for DKE key: email and role. |
| enabled | boolean | Fetches DKE endpoint(s) with 'enabled' flag set to true. |
| key_type | string | Type of key created by DKE endpoint. The only option currently supported is asymmetric. |
| key_uri | string | URI of key created by the DKE endpoint. |
| skip | integer | Number of records to skip. For example, if "skip":5 is specified, the first five records will not be displayed in the output. |
| limit | integer | Numbers of records to display. For example, if "limit":10 is specified, then the next 10 records (after skipping the number of records specified in the skip parameter) will be displayed in the output. |
| sort | string | Comma-delimited list of properties to sort the results. |
Example Request
curl -k 'https://127.0.0.1/api/v1/cckm/microsoft/dke/endpoints?skip=0&limit=10&sort=updatedAt' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI1ZTc3Y2Q3NC0wMmVhLTRhNzYtODIzMi1hNDY4YTg1MGQwM2UiLCJzdWIiOiJsb2NhbHw0ODMyZDM4ZS04YzdhLTRiMjYtYTc5Ni1kNjk3NWQyOTg2ZGIiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJjbGllbnRfaWQiOiI4MzdjODQwZC03NWRkLTRiNGYtYTMxOC03OWNiMTZjYTI0OGQiLCJjbGllbnRfbmFtZSI6ImFwaS1wbGF5Z3JvdW5kIiwiY2xpZW50X3R5cGUiOiJwdWJsaWMiLCJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNDQ5MTdlZjctYjhmYi00NTFjLThhYTMtYzAxZDUxNjZkYmY4Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImViODNmNzFmLTg2MGItNGZhMy04ODZjLTM4ZGJkNzQyZDYwYiIsImlhdCI6MTY5MjgyMzE2MCwiZXhwIjoxNjkyODIzNDYwfQ.INuQJVq6VZeEz4RCOOsFCy68Go3rbkTNWNSTKW-2mkE' -H 'accept: application/json' --compressed
Example Response
{
"skip": 0,
"limit": 10,
"total": 2,
"resources": [
{
"id": "2f63df7e-4229-4bee-aeba-ec8c408fb8fb",
"uri": "kylo:kylo:cckm:kylo:kylo:cckm:dke-endpoint:2f63df7e-4229-4bee-aeba-ec8c408fb8fb",
"account": "kylo:kylo:admin:accounts:kylo",
"createdAt": "2023-06-23T03:23:59.468599Z",
"updatedAt": "2023-06-23T03:23:59.468599Z",
"name": "dkeEndpoint_7426",
"description": "demo dke endpoint 1",
"key_uri_hostname": "dke.thales.com",
"key_uri": "https://dke.thales.com/api/v1/cckm/microsoft/dke-data-plane/endpoints/2f63df7e-4229-4bee-aeba-ec8c408fb8fb/keys/ks-e998720b0e8e4ccc9ecf6a6e125ccce16356ba90b31540478a4d23fed4216203",
"kek_name": "ks-e998720b0e8e4ccc9ecf6a6e125ccce16356ba90b31540478a4d23fed4216203",
"kek_id": "e998720b0e8e4ccc9ecf6a6e125ccce16356ba90b31540478a4d23fed4216203",
"kek_uuid": "da9cebd9-7b04-4412-b73f-d9193838f4ad",
"meta": {
"size": "big",
"color": "blue"
},
"kek_version": "0",
"key_type": "asymmetric",
"algorithm": "RSA_DECRYPT_OAEP_2048_SHA256",
"enable_success_audit_event": true,
"authorization_params": {
"valid_issuers": [
"https://sts.windows.net/9c99431e-b513-44be-a7d9-e7b500002d4b/"
],
"authorization_type": "role",
"email_authz_params": {},
"role_authz_params": {
"authorized_roles": [
"role_1",
"role_2"
],
}
},
"auto_rotate": false,
"status": "Enabled"
},
{
"id": "b724005d-e821-4a54-8f69-2199e1499898",
"uri": "kylo:kylo:cckm:kylo:kylo:cckm:dke-endpoint:b724005d-e821-4a54-8f69-2199e1499898",
"account": "kylo:kylo:admin:accounts:kylo",
"createdAt": "2023-08-17T06:19:56.984171Z",
"updatedAt": "2023-08-17T06:19:56.987052Z",
"name": "dkeEndpoint_794",
"description": "demo dke endpoint 1",
"key_uri_hostname": "dke.thales.com",
"key_uri": "https://dke.thales.com/api/v1/cckm/microsoft/dke-data-plane/endpoints/b724005d-e821-4a54-8f69-2199e1499898/keys/ks-24a078c885344871873c7d45314618a69ffb38dfa9bb4c03b3a136bbcc7f97cc",
"kek_name": "ks-24a078c885344871873c7d45314618a69ffb38dfa9bb4c03b3a136bbcc7f97cc",
"kek_id": "24a078c885344871873c7d45314618a69ffb38dfa9bb4c03b3a136bbcc7f97cc",
"kek_uuid": "b1bf5743-4334-4587-b046-3d5ecd805393",
"meta": {
"size": "big",
"color": "blue"
},
"kek_version": "0",
"key_type": "asymmetric",
"algorithm": "RSA_DECRYPT_OAEP_2048_SHA256",
"enable_success_audit_event": true,
"authorization_params": {
"valid_issuers": [
"https://sts.windows.net/9c99431e-b513-44be-a7d9-e7b500002d4b/"
],
"authorization_type": "email",
"email_authz_params": {
"authorized_email_addresses": [
"richard-roe@google.com",
"john-doe@yahoo.com"
]
},
"role_authz_params": {}
},
"auto_rotate": false,
"status": "Enabled"
},
{
"id": "f222ffdf-80e1-4fd5-8f17-1b60a26dba5d",
"uri": "kylo:kylo:cckm:kylo:kylo:cckm:dke-endpoint:f222ffdf-80e1-4fd5-8f17-1b60a26dba5d",
"account": "kylo:kylo:admin:accounts:kylo",
"createdAt": "2023-08-25T00:36:13.31051Z",
"updatedAt": "2023-08-25T01:09:48.069728Z",
"name": "updated_ep_name",
"description": "updated demo dke endpoint 7",
"key_uri_hostname": "test.com",
"key_uri": "https://test.com/api/v1/cckm/microsoft/dke-data-plane/endpoints/f222ffdf-80e1-4fd5-8f17-1b60a26dba5d/keys/ks-a7b4205513964e498f9f78ccb1a58a1a2518aae0a9a94b6c929a58402a231148",
"kek_name": "ks-a7b4205513964e498f9f78ccb1a58a1a2518aae0a9a94b6c929a58402a231148",
"kek_id": "5c5f9911c9394e41b0060494ea34a65b778aaa059fff4d18914f9733777df7b8",
"kek_uuid": "44034cb3-f94e-4239-b1fe-93dade5f38e6",
"meta": {
"size": "blue",
"color": "small"
},
"kek_version": "1",
"key_type": "asymmetric",
"algorithm": "RSA_DECRYPT_OAEP_2048_SHA256",
"enable_success_audit_event": true,
"authorization_params": {
"valid_issuers": [
"https://sts.windows.net/9c99431e-b513-44be-a7d9-e7b500002dbc/"
],
"authorization_type": "email",
"email_authz_params": {
"authorized_email_addresses": [
"maria_updated@test.com",
"mark_updated@test.com"
]
},
"role_authz_params": {}
},
"auto_rotate": false,
"status": "Enabled"
}
]
}
The sample output shows two DKE endpoints listed--one with the endpoint ID of b724005d-e821-4a54-8f69-2199e1499898 and the other with the endpoint ID of f222ffdf-80e1-4fd5-8f17-1b60a26dba5d.
Response Codes
| Response Code | Description |
|---|---|
| 2xx | Success |
| 4xx | Client errors |
| 5xx | Server errors |
Refer to HTTP status codes for details.